Bug 505260 - Review Request: perl-Exception-Class-TryCatch - Syntactic try/catch sugar for use with Exception::Class
Review Request: perl-Exception-Class-TryCatch - Syntactic try/catch sugar for...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 04:59 EDT by Emmanuel Seyman
Modified: 2012-02-17 10:28 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.12-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-11 04:59:17 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Exception-Class-TryCatch/perl-Exception-Class-TryCatch.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Exception-Class-TryCatch/perl-Exception-Class-TryCatch-1.12-1.fc11.src.rpm
Description:
Exception::Class::TryCatch provides syntactic sugar for use with
Exception::Class using the familiar keywords try and catch. Its primary
objective is to allow users to avoid dealing directly with $@ by ensuring
that any exceptions caught in an eval are captured as Exception::Class
objects, whether they were thrown objects to begin with or whether the
error resulted from die. This means that users may immediately use isa and
various Exception::Class methods to process the exception.
Comment 1 Parag AN(पराग) 2009-06-11 06:36:41 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1404843
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4e1f5b7f716e0bd357e010c9a4a0c6c34f943045  Exception-Class-TryCatch-1.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=45,  0 wallclock secs ( 0.04 usr  0.00 sys +  0.05 cusr  0.01 csys =  0.10 CPU)
+ Package perl-Exception-Class-TryCatch-1.12-1.fc12.noarch =>
Provides: perl(Exception::Class::TryCatch) = 1.12
Requires: perl >= 0:5.005 perl(Exception::Class) perl(Exporter) perl(strict)
+ Not a GUI application

Should:
1) Remove unnecessary
BuildRequires:  perl >= 0:5.005

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-11 17:31:46 EDT
(In reply to comment #1)
>
> Should:
> 1) Remove unnecessary
> BuildRequires:  perl >= 0:5.005

Done. Thanks, Parag.


New Package CVS Request
=======================
Package Name: perl-Exception-Class-TryCatch
Short Description: Syntactic try/catch sugar for use with Exception::Class
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-06-12 00:33:24 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-12 04:01:52 EDT
perl-Exception-Class-TryCatch-1.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Exception-Class-TryCatch-1.12-1.fc11
Comment 5 Fedora Update System 2009-06-15 22:44:40 EDT
perl-Exception-Class-TryCatch-1.12-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Exception-Class-TryCatch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6484
Comment 6 Fedora Update System 2009-06-19 09:33:05 EDT
perl-Exception-Class-TryCatch-1.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Emmanuel Seyman 2012-02-17 10:12:38 EST
Package Change Request
======================
Package Name: perl-Exception-Class-TryCatch
New Branches: el6
Owners: eseyman ktdreyer
InitialCC: perl-sig

Ken Dreyer contacted me for an el6 branch for this module.
Comment 8 Gwyn Ciesla 2012-02-17 10:28:39 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.